From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 31 July 2013<P>

Kindred_Spirit49, about <a href="/blend/wv.cgi?id=2013.07.31.08.23.999">Candy Cane</a>:Wow! I like this one a lot. Great visualization, but, yikes, I might have to leave work early today.....
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 31 July 2013<P>

Kindred Spirit 49, A nice vacation and a cool breeze might help you visualize new picture poems for us. We all hope so for certain!<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 31 July 2013<P>

Kindred_Spirit49, about <a href="/blend/wv.cgi?id=2013.07.31.08.23.999">Candy Cane</a>:<BR>
<BR>
Wowzer! Now I know what ravenheart meant.<BR>
<BR>
<BR>
bk (You must not give up now as we all might have to bump this one!)<BR>
<BR>
bk
<HR>